Opal-3.10.10

Introduction to Opal

The Opal package contains a C++ class library for normalising the numerous telephony protocols into a single integrated call model.

This package is known to build and work properly using an LFS-7.9 platform.

Package Information

Additional Downloads

Opal Dependencies

Required

Ptlib-2.10.11

Optional

Celt, FFmpeg-3.1.2, GSM, ISDN4Linux, libtheora-1.1.1, OpenJDK-1.8.0.92, Ruby-2.3.1, Spandsp, Speex-1.2rc2, and x264-20160220-2245

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/opal

Installation of Opal

Install Opal by running the following commands:

patch -Np1 -i ../opal-3.10.10-ffmpeg2-1.patch &&

sed -e 's/CODEC_ID/AV_&/' \
    -e 's/PIX_FMT_/AV_&/' \
    -i plugins/video/H.263-1998/h263-1998.cxx \
       plugins/video/common/dyna.cxx          \
       plugins/video/H.264/h264-x264.cxx      \
       plugins/video/MPEG4-ffmpeg/mpeg4.cxx   &&

ed -e '/<< mime.PrintContents/ s/mime/(const std::string\&)&/' \
        -i src/im/msrp.cxx  &&

./configure --prefix=/usr &&
CXXFLAGS=-Wno-deprecated-declarations make

This package does not come with a test suite.

Now, as the root user:

make install &&
chmod -v 644 /usr/lib/libopal_s.a

Command Explanations

sed ...: The first sed fixes several files to work properly with FFmpeg-3.1.2. The second fixes a build issue with GCC-6.1.0.

CXXFLAGS=-Wno-deprecated-declarations: This parameter reduces a lot of warnings generated by GCC-6.1.0.

Contents

Installed Programs: None
Installed Libraries: libopal.so and libopal_s.a
Installed Directories: /usr/include/opal and /usr/lib/opal-3.10.10

Short Descriptions

libopal.so

contains the Opal API functions.

Last updated on 2016-05-06 11:47:07 -0500